#include "card.h"
#include "cardfile.h"
#include "fileio.h"
#include "pdf.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

FILE *open_card_file (int argc, char **argv);
void print_card (struct card *card);

int main (int argc, char *argv[])
{
    FILE *f;
    struct card *cards;

    f = open_card_file (argc, argv);
    cards = read_cardfile (f);
    fclose (f);

    pdf_write_all (cards, argv[1], argv[2], 1);
    delete_cardfile (cards);

    return 0;
}

FILE *open_card_file (int argc, char **argv)
{
    FILE *f;

    if (argc < 2)
    {
        printf ("Must specify cardfile and pdf file.\n");
        printf ("Syntax: %s <card file> <pdf file>", argv[0]);
        exit (1);
    }

    if ((f = fopen (argv[1], "rb")) == NULL)
    {
        printf ("Cardfile %s not found.\n", argv[1]);
        exit (1);
    }

    return f;
}
