#ifndef CARDFILE_H
#define CARDFILE_H

#include "card.h"

struct card *head (struct card *cardfile);
int count_cards (struct card *cardfile);

/* Returns true or false */
int any_objects_skipped (struct card *cardfile);
int any_cards_dirty (struct card *cardfile);

void clear_all_dirty (struct card *cardfile);

/* Pointer bubble sort (usually only one card out of order) */
void sort_cardfile (struct card *cardfile);

/* Returns allocated cardfile or NULL */
struct card *alloc_blank_cardfile (int n);

/* Returns allocated card or NULL */
struct card *prepend_blank_card (struct card *cardfile);

/* Frees all cards, forward- and back-linked */
void delete_cardfile (struct card *cardfile);

struct card *cards_forward (struct card *c, int n);
struct card *cards_backward (struct card *c, int n);
int count_cards_later (struct card *a, struct card *b);
int is_after (struct card *a, struct card *b);

#endif /* CARDFILE_H */
