#ifndef CURSES_H
#define CURSES_H

typedef int chtype;

int my_getch ();
int my_kbhit ();

void move (int row, int col);
int get_video_cursor_column (void);
int get_video_cursor_row (void);

int get_video_rows (void);
int get_video_columns (void);

void initscr (void);
void endwin (void);

void attrset (int attr);
void put_at (int x, int y, chtype ch);

void clear (void);
void erase (void);
void refresh (void);

#define KEY_LEFT -0x4b
#define KEY_RIGHT -0x4d
#define KEY_UP -0x48
#define KEY_DOWN -0x50
#define KEY_NPAGE -0x51
#define KEY_PPAGE -0x49
#define KEY_DC -0x53

#define ACS_ULCORNER 218
#define ACS_URCORNER 191
#define ACS_LTEE 195
#define ACS_RTEE 180
#define ACS_LLCORNER 192
#define ACS_LRCORNER 217

#define ACS_HLINE 196
#define ACS_VLINE 179

#define A_REVERSE 1

#define TRUE 1
#define FALSE 0

#endif
